# Dockerfile for the CI test environment
#
# This is expected to be pushed to the GitLab container registry as:
# registry.gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/ec-rpkg-ci-test-env

FROM registry.gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/ec-base-r4.2:1.2.0

RUN apt-get install -y libudunits2-dev
# Need this for nloptr
RUN apt-get install -y cmake  

# install R-packages
# Linting package
RUN R -vanilla -e 'install.packages("lintr", dep=T)'

# The EcoCommons R package itself is NOT installed into the Docker image; it is
# expected to be mounted inside